VRPlatformVRPlatform
Csv

/csv-imports/previews/{id}/records

List records from a completed CSV preview.

Required scope: integrations:import

GET
/csv-imports/previews/{id}/records
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

cursor?string

Opaque pagination cursor returned by a previous response. Pass it back unchanged.

Formatvrp-opaque-cursor
limit?integer
Default100
Range1 <= value <= 250
state?string
Default"all"
Value in"all" | "valid" | "invalid" | "unresolved" | "excluded"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/csv-imports/previews/497f6eca-6276-4993-bfeb-53cbbbba6f08/records"
{
  "data": [
    {
      "resource": "bankRecords",
      "recordRef": "string",
      "rowNumbers": [
        1
      ],
      "state": "valid",
      "source": [
        {
          "property1": "string",
          "property2": "string"
        }
      ],
      "transformed": {
        "property1": null,
        "property2": null
      },
      "systemExclusion": {
        "code": "beforeBankRecordStartDate",
        "bankRecordStartDate": "string"
      },
      "resolutions": [
        {
          "field": "string",
          "sourceValue": "string",
          "state": "matched",
          "candidates": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "label": "string",
              "secondaryLabel": "string"
            }
          ],
          "candidateCount": 9007199254740991,
          "candidatesTruncated": true,
          "selectedId": "0b0a5368-34ee-4978-81a0-acabc7706d28"
        }
      ],
      "excluded": true,
      "issues": [
        {
          "code": "accountNotFound",
          "field": "string",
          "rowNumber": 1,
          "message": "string",
          "details": {
            "property1": null,
            "property2": null
          }
        }
      ],
      "bankRecord": {
        "uniqueRef": "string",
        "date": "string",
        "status": "active",
        "description": "string",
        "accountId": "string",
        "type": "transaction",
        "amount": -9007199254740991,
        "balance": -9007199254740991,
        "reconciliation": {
          "status": "unpaid",
          "transactions": [
            {
              "id": "string",
              "date": "string",
              "description": "string",
              "type": "string",
              "amount": 0
            }
          ]
        },
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "accountConnectionRef": "string",
        "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2"
      }
    }
  ],
  "nextCursor": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": {
    "reason": "previewRecordCursorInvalid"
  }
}
{
  "code": "AUDIT_CURSOR_EXPIRED",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": null
}
{
  "code": "AUDIT_CURSOR_EXPIRED",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": null
}
{
  "code": "NOT_FOUND",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": {
    "reason": "previewNotFound"
  }
}
{
  "code": "CONFLICT",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": {
    "reason": "previewRecordsUnavailable"
  }
}
{
  "code": "GONE",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": {
    "reason": "previewExpired"
  }
}
{
  "code": "AUDIT_CURSOR_EXPIRED",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": null
}
{
  "code": "MISDIRECTED_REQUEST",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": {
    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
    "dataRegion": "ap",
    "apiBaseUrl": "http://example.com"
  }
}
{
  "code": "AUDIT_CURSOR_EXPIRED",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": null
}
{
  "code": "AUDIT_CURSOR_EXPIRED",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": null
}
{
  "code": "AUDIT_CURSOR_EXPIRED",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "retryable": true,
  "context": null
}